# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-bottle-sqlite
%global srcname bottle-sqlite
Name:           python-module-bottle-sqlite
Version:        0.1
Release:        alt1_2
Summary:        SQLite3 integration for Bottle WSGI framework

Group:          Development/Python
License:        MIT
URL:            http://bottlepy.org
Source0:        http://pypi.python.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info


%description
Bottle-sqlite is a plugin that integrates SQLite3 with your Bottle application. 
It automatically connects to a database at the beginning of a request, passes 
the database handle to the route callback and closes the connection afterwards.

To automatically detect routes that need a database connection, the plugin 
searches for route callbacks that require a db keyword argument (configurable) 
and skips routes that do not. This removes any overhead for routes that don't 
need a database connection.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README PKG-INFO
%{python_sitelibdir_noarch}/bottle_sqlite.py*
%{python_sitelibdir_noarch}/bottle_sqlite*.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_2
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_1
- initial fc import

